"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unit_1 = require("../unit");
const dotenv_1 = __importDefault(require("dotenv"));
dotenv_1.default.config();
const unit = new unit_1.Unit(process.env.UNIT_TOKEN || "test", process.env.UNIT_API_URL || "test");
const eventsId = [];
describe("Events List", () => {
    test("Get Events List", async () => {
        const res = await unit.events.list();
        res.data.forEach(element => {
            eventsId.push(element.id);
        });
        eventsId.forEach(async (id) => {
            const res = await unit.events.get(id);
            expect(res.data.type.includes(".")).toBeTruthy();
        });
    });
});
